<script>
import 'nprogress/nprogress.css'
import "@/assets/scss/layout.scss"

import dayjs from "dayjs"
import utc from "dayjs/plugin/utc"
import NProgress from 'nprogress'

NProgress.configure({ minimum: 0.16, showSpinner: false })

dayjs.extend(utc)

import Header from "@/components/header/header.svelte"
import Footer from "@/components/footer/footer.svelte"
import OrderModal from "@/components/Order/Modal.svelte"

import { onMount, afterUpdate } from "svelte"

import { aside, isLight } from "@/stores/static"
import { active } from "@/stores/filter"
import { isPhone, isTablet } from "@/stores/responsiveness"
import { page, navigating } from "$app/stores"
import { locale, l } from "@/i18n"
import { update } from "@/helpers/lazyload"
import { afterNavigate } from '$app/navigation'

export let data

$: meta = $page.data.meta || {}

$: {
	if ($navigating) {
		NProgress.start()
	} else {
		NProgress.done()
	}
}

onMount(update)
afterUpdate(update)
afterNavigate(() => aside.set(false))

$: alternates = (() => {
	switch($locale) {
		case "ru":
			return [ "en", "ar" ]
		case "en":
			return [ "ru", "ar" ]
		default:
			return [ "en", "ru" ]
	}
})();
</script>

<svelte:head>
	<title>{meta.title || $page.status}</title>
	<meta name="description" content='{meta.description || $page.error?.message}'/>

	{#each alternates as loc}
		<link rel="alternate" hreflang={loc} href={$l(data.noLocalePath, loc)} />
	{/each}
</svelte:head>


<template lang="pug">
#app.is-flex.is-flex-direction-column( class:dark='{!$isLight}' )
	Header
	main.is-flex-grow-1( class:active-filter!='{$active && ($isPhone || $isTablet)}' ): slot
	Footer

OrderModal
</template>